Subject: Re: [bitcoin-dev] A Better MMR Definition

From: Bram Cohen <[email-masked]>
Date: Thu, 23 Feb 2017 19:02:36 -0800

On Thu, Feb 23, 2017 at 6:58 PM, Peter Todd <[email-masked]> wrote:

>
> So to be clear, do you agree or disagree with me that you *can* extract a
> compact proof from a MMR that a given output is unspent?
>

After wading through your logic on how updates are done, I agree that that
can be done, but apples to apples compact proofs can also be done in a utxo
commitment, and proofs of the validity of updates can be done in a utxo
commitment, so there isn't any performance advantage to all that extra
complexity.